<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/Button.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Button.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Button_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="Box_8hpp.html">Box.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="Container_8hpp.html">Container.hpp</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="Image_8hpp.html">Image.hpp</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &quot;<a class="code" href="SceneNode_8hpp.html">SceneNode.hpp</a>&quot;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">   11</a></span><span class="keyword">enum class</span> <a class="code hl_enumeration" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a> { <a class="code hl_enumvalue" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6ba960b44c579bc2f6818d2daaf9e4c16f0">Normal</a> = 0, <a class="code hl_enumvalue" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6ba3ef193e1ac8f2bc3d7226a29d6b09875">Hovered</a>, <a class="code hl_enumvalue" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6bad78a68f6a85421ae121c2cb5b73a1040">Pressed</a> };</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Button.html">Button</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a>, <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a5cfe8e157b7bfab423fccd38b7ab4089">   16</a></span>    <a class="code hl_function" href="classgg_1_1Button.html#a5cfe8e157b7bfab423fccd38b7ab4089">Button</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a0eab81baecbf9eac6f2dd49fc7a25d59">   17</a></span>    <a class="code hl_function" href="classgg_1_1Button.html#a0eab81baecbf9eac6f2dd49fc7a25d59">~Button</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a6778de448c36135b8b3051cfe5726e2d">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a6778de448c36135b8b3051cfe5726e2d">SetText</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">SetSize</a>(<span class="keyword">const</span> <span class="keywordtype">float</span>, <span class="keyword">const</span> <span class="keywordtype">float</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a225157d0c6ff6233d08b119ddfe93a54">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a225157d0c6ff6233d08b119ddfe93a54">SetHAlignment</a>(<a class="code hl_enumeration" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a78d2f6d35c7b197cbb5b4f65d056ee43">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a78d2f6d35c7b197cbb5b4f65d056ee43">SetVAlignment</a>(<a class="code hl_enumeration" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a7418e22bdfc99d62041e589563366014">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a7418e22bdfc99d62041e589563366014">SetMargins</a>(<a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a3de1d96aade557285d6d96f6c7232637">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a3de1d96aade557285d6d96f6c7232637">SetState</a>(<a class="code hl_enumeration" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a8d3d6e097de825c5207703e5a462c80f">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a8d3d6e097de825c5207703e5a462c80f">ApplyStyle</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#aee61a7ff3a5f86198e025130ba4fbfb6">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#aee61a7ff3a5f86198e025130ba4fbfb6">ApplyDesign</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a4b31aef4e750fa85de2a512c2a9110b1">   35</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a4b31aef4e750fa85de2a512c2a9110b1">OnMouseMovedEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a4c802d824aaa16c8dcc6dc534cbedbee">   36</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a4c802d824aaa16c8dcc6dc534cbedbee">OnMousePressedEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a2f20cc11f07e0305b8b60b6e8fdd76d0">   37</a></span>    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a2f20cc11f07e0305b8b60b6e8fdd76d0">OnMouseReleasedEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">UpdateDesign</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a1cc028bbe1efb4afc967d30839461be3">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a1cc028bbe1efb4afc967d30839461be3">SetTextCharacterSize</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a2ef61a43b9ac82411abce5c25f05f2e6">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#a2ef61a43b9ac82411abce5c25f05f2e6">SetTextFontName</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#accac99f58d2748b890cfdd1c4f0cdf88">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Button.html#accac99f58d2748b890cfdd1c4f0cdf88">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#afc82e38a6b7bb8ac3e318afe37a9bcfe">   48</a></span>    sf::Text <a class="code hl_variable" href="classgg_1_1Button.html#afc82e38a6b7bb8ac3e318afe37a9bcfe">mText</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#a98df0be7d539f825a1bb7fb2cf29d662">   49</a></span>    <a class="code hl_class" href="classgg_1_1RoundedShape.html">RoundedShape</a> <a class="code hl_variable" href="classgg_1_1Button.html#a98df0be7d539f825a1bb7fb2cf29d662">mShape</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="classgg_1_1Button.html#ac615212896e942b0305ef9799ee980fd">   51</a></span>    <a class="code hl_enumeration" href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">ButtonState</a> <a class="code hl_variable" href="classgg_1_1Button.html#ac615212896e942b0305ef9799ee980fd">mState</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_enumeration" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a> mTextHAlignment;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <a class="code hl_enumeration" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a> mTextVAlignment;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_struct" href="structgg_1_1Margins.html">Margins</a> mMargins;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>};</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aBox_8hpp_html"><div class="ttname"><a href="Box_8hpp.html">Box.hpp</a></div></div>
<div class="ttc" id="aContainer_8hpp_html"><div class="ttname"><a href="Container_8hpp.html">Container.hpp</a></div></div>
<div class="ttc" id="aImage_8hpp_html"><div class="ttname"><a href="Image_8hpp.html">Image.hpp</a></div></div>
<div class="ttc" id="aSceneNode_8hpp_html"><div class="ttname"><a href="SceneNode_8hpp.html">SceneNode.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Button_html"><div class="ttname"><a href="classgg_1_1Button.html">gg::Button</a></div><div class="ttdef"><b>Definition:</b> Button.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a0eab81baecbf9eac6f2dd49fc7a25d59"><div class="ttname"><a href="classgg_1_1Button.html#a0eab81baecbf9eac6f2dd49fc7a25d59">gg::Button::~Button</a></div><div class="ttdeci">~Button() override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a1cc028bbe1efb4afc967d30839461be3"><div class="ttname"><a href="classgg_1_1Button.html#a1cc028bbe1efb4afc967d30839461be3">gg::Button::SetTextCharacterSize</a></div><div class="ttdeci">void SetTextCharacterSize(unsigned int)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a225157d0c6ff6233d08b119ddfe93a54"><div class="ttname"><a href="classgg_1_1Button.html#a225157d0c6ff6233d08b119ddfe93a54">gg::Button::SetHAlignment</a></div><div class="ttdeci">void SetHAlignment(HAlignment)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a2ef61a43b9ac82411abce5c25f05f2e6"><div class="ttname"><a href="classgg_1_1Button.html#a2ef61a43b9ac82411abce5c25f05f2e6">gg::Button::SetTextFontName</a></div><div class="ttdeci">void SetTextFontName(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a2f20cc11f07e0305b8b60b6e8fdd76d0"><div class="ttname"><a href="classgg_1_1Button.html#a2f20cc11f07e0305b8b60b6e8fdd76d0">gg::Button::OnMouseReleasedEvent</a></div><div class="ttdeci">virtual void OnMouseReleasedEvent(IEvent *e)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a3de1d96aade557285d6d96f6c7232637"><div class="ttname"><a href="classgg_1_1Button.html#a3de1d96aade557285d6d96f6c7232637">gg::Button::SetState</a></div><div class="ttdeci">void SetState(ButtonState)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a4b31aef4e750fa85de2a512c2a9110b1"><div class="ttname"><a href="classgg_1_1Button.html#a4b31aef4e750fa85de2a512c2a9110b1">gg::Button::OnMouseMovedEvent</a></div><div class="ttdeci">virtual void OnMouseMovedEvent(IEvent *e)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a4c802d824aaa16c8dcc6dc534cbedbee"><div class="ttname"><a href="classgg_1_1Button.html#a4c802d824aaa16c8dcc6dc534cbedbee">gg::Button::OnMousePressedEvent</a></div><div class="ttdeci">virtual void OnMousePressedEvent(IEvent *e)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a5cfe8e157b7bfab423fccd38b7ab4089"><div class="ttname"><a href="classgg_1_1Button.html#a5cfe8e157b7bfab423fccd38b7ab4089">gg::Button::Button</a></div><div class="ttdeci">Button(const Attributes &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a6778de448c36135b8b3051cfe5726e2d"><div class="ttname"><a href="classgg_1_1Button.html#a6778de448c36135b8b3051cfe5726e2d">gg::Button::SetText</a></div><div class="ttdeci">void SetText(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a6c3e627ac5a6e4bccd2dc87e48bb0c3e"><div class="ttname"><a href="classgg_1_1Button.html#a6c3e627ac5a6e4bccd2dc87e48bb0c3e">gg::Button::SetSize</a></div><div class="ttdeci">void SetSize(const float, const float)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a6cbe63267be0351408f2647887881345"><div class="ttname"><a href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">gg::Button::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a7418e22bdfc99d62041e589563366014"><div class="ttname"><a href="classgg_1_1Button.html#a7418e22bdfc99d62041e589563366014">gg::Button::SetMargins</a></div><div class="ttdeci">void SetMargins(Margins)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a78d2f6d35c7b197cbb5b4f65d056ee43"><div class="ttname"><a href="classgg_1_1Button.html#a78d2f6d35c7b197cbb5b4f65d056ee43">gg::Button::SetVAlignment</a></div><div class="ttdeci">void SetVAlignment(VAlignment)</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a8d3d6e097de825c5207703e5a462c80f"><div class="ttname"><a href="classgg_1_1Button.html#a8d3d6e097de825c5207703e5a462c80f">gg::Button::ApplyStyle</a></div><div class="ttdeci">void ApplyStyle() override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_a98df0be7d539f825a1bb7fb2cf29d662"><div class="ttname"><a href="classgg_1_1Button.html#a98df0be7d539f825a1bb7fb2cf29d662">gg::Button::mShape</a></div><div class="ttdeci">RoundedShape mShape</div><div class="ttdef"><b>Definition:</b> Button.hpp:49</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_aa2efba66377728eb9e23a1af16aef1db"><div class="ttname"><a href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">gg::Button::UpdateDesign</a></div><div class="ttdeci">void UpdateDesign() override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_ac615212896e942b0305ef9799ee980fd"><div class="ttname"><a href="classgg_1_1Button.html#ac615212896e942b0305ef9799ee980fd">gg::Button::mState</a></div><div class="ttdeci">ButtonState mState</div><div class="ttdef"><b>Definition:</b> Button.hpp:51</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_accac99f58d2748b890cfdd1c4f0cdf88"><div class="ttname"><a href="classgg_1_1Button.html#accac99f58d2748b890cfdd1c4f0cdf88">gg::Button::draw</a></div><div class="ttdeci">void draw(sf::RenderTarget &amp;target, sf::RenderStates states) const override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_aee61a7ff3a5f86198e025130ba4fbfb6"><div class="ttname"><a href="classgg_1_1Button.html#aee61a7ff3a5f86198e025130ba4fbfb6">gg::Button::ApplyDesign</a></div><div class="ttdeci">void ApplyDesign() override</div></div>
<div class="ttc" id="aclassgg_1_1Button_html_afc82e38a6b7bb8ac3e318afe37a9bcfe"><div class="ttname"><a href="classgg_1_1Button.html#afc82e38a6b7bb8ac3e318afe37a9bcfe">gg::Button::mText</a></div><div class="ttdeci">sf::Text mText</div><div class="ttdef"><b>Definition:</b> Button.hpp:48</div></div>
<div class="ttc" id="aclassgg_1_1IEventSubscriber_html"><div class="ttname"><a href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:59</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1RoundedShape_html"><div class="ttname"><a href="classgg_1_1RoundedShape.html">gg::RoundedShape</a></div><div class="ttdef"><b>Definition:</b> Container.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_a2cacabcdf9a5efbaa4b5e29609049e6b"><div class="ttname"><a href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6b">gg::ButtonState</a></div><div class="ttdeci">ButtonState</div><div class="ttdef"><b>Definition:</b> Button.hpp:11</div></div>
<div class="ttc" id="anamespacegg_html_a2cacabcdf9a5efbaa4b5e29609049e6ba3ef193e1ac8f2bc3d7226a29d6b09875"><div class="ttname"><a href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6ba3ef193e1ac8f2bc3d7226a29d6b09875">gg::ButtonState::Hovered</a></div><div class="ttdeci">@ Hovered</div></div>
<div class="ttc" id="anamespacegg_html_a2cacabcdf9a5efbaa4b5e29609049e6ba960b44c579bc2f6818d2daaf9e4c16f0"><div class="ttname"><a href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6ba960b44c579bc2f6818d2daaf9e4c16f0">gg::ButtonState::Normal</a></div><div class="ttdeci">@ Normal</div></div>
<div class="ttc" id="anamespacegg_html_a2cacabcdf9a5efbaa4b5e29609049e6bad78a68f6a85421ae121c2cb5b73a1040"><div class="ttname"><a href="namespacegg.html#a2cacabcdf9a5efbaa4b5e29609049e6bad78a68f6a85421ae121c2cb5b73a1040">gg::ButtonState::Pressed</a></div><div class="ttdeci">@ Pressed</div></div>
<div class="ttc" id="anamespacegg_html_a590f5e8566d42718b935361a0172b54d"><div class="ttname"><a href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">gg::VAlignment</a></div><div class="ttdeci">VAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:12</div></div>
<div class="ttc" id="anamespacegg_html_a8ae82840d9f1b628101cb24cf296c26d"><div class="ttname"><a href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">gg::HAlignment</a></div><div class="ttdeci">HAlignment</div><div class="ttdef"><b>Definition:</b> Box.hpp:10</div></div>
<div class="ttc" id="astructgg_1_1Margins_html"><div class="ttname"><a href="structgg_1_1Margins.html">gg::Margins</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:14</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
